* * *

Author Topic: Online Package Manager  (Read 58531 times)

GetMem

  • Hero Member
  • *****
  • Posts: 1996
Re: Online Package Manager
« Reply #750 on: March 08, 2017, 04:20:47 pm »
1. You check all the packages you wish to install, save it to a config file.
2. Next time you load the checks from the same ini, so you don't have to check them again manually

 Did I understand correctly?

CharlyTango

  • New member
  • *
  • Posts: 15
Re: Online Package Manager
« Reply #751 on: March 09, 2017, 10:35:57 am »
Yes you understood correctly.

But there should be a possibility to tell OPM where this (kind-of-)ini file is located. (name and path)

This way it would be possible to sync the ini-file automatically by Dropbox or GooglDrive etc.


BTW... is there a possibility that OPM updates itself in an other way than a SVN download.
Could OPM be a simple package which is updated by OPM itself?

Regards

GetMem

  • Hero Member
  • *****
  • Posts: 1996
Re: Online Package Manager
« Reply #752 on: March 09, 2017, 09:51:20 pm »
Quote
Yes you understood correctly.
But there should be a possibility to tell OPM where this (kind-of-)ini file is located. (name and path)
This way it would be possible to sync the ini-file automatically by Dropbox or GooglDrive etc.
It's implemented in trunk. Just right click the tree, then save/load the ini file.

Quote
BTW... is there a possibility that OPM updates itself in an other way than a SVN download.
Could OPM be a simple package which is updated by OPM itself?
Unfortunately no. It's in the todo list though.

minesadorada

  • Hero Member
  • *****
  • Posts: 532
  • Retired
Re: Online Package Manager
« Reply #753 on: March 20, 2017, 01:04:54 pm »
I just updated Lazarus and FPC from SVN and rebuild IDE now hangs on the statements (in OPM.opkman_downloader)

Code: Pascal  [Select]
  1. FHTTPClient.Terminate;

Lazarus SVN build: 54442M
GPL Apps: Health MonitorRetro Ski Run
OnlinePackageManager Components: LazAutoUpdate, LongTimer, PoweredBy, ScrollText, PlaySound, CryptINI

GetMem

  • Hero Member
  • *****
  • Posts: 1996
Re: Online Package Manager
« Reply #754 on: March 20, 2017, 09:10:03 pm »
Hi minesadorada,

OPM has changed a lot lately, however I cannot reproduce the error with Lazarus/FPC trunk(r. 54449 and r. 35631). I did try to download/install as many package as possible, but no hangs, no errors. I only tested on win7 though.

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2809
  • I like bugs.
Re: Online Package Manager
« Reply #755 on: March 20, 2017, 09:48:51 pm »
minesadorada, usually a clean build helps after code has been moved and reorganized.
Tools -> Configure Build Lazarus -> "Clean all".

I don't get errors either.

minesadorada

  • Hero Member
  • *****
  • Posts: 532
  • Retired
Re: Online Package Manager
« Reply #756 on: March 21, 2017, 09:14:02 am »
OK Thanks guys - I'll investigate.
GPL Apps: Health MonitorRetro Ski Run
OnlinePackageManager Components: LazAutoUpdate, LongTimer, PoweredBy, ScrollText, PlaySound, CryptINI


GetMem

  • Hero Member
  • *****
  • Posts: 1996
Re: Online Package Manager
« Reply #758 on: March 24, 2017, 07:32:54 am »
Hi Alextp,

Sorry for the delay, I was very busy lately. I will apply them as soon as possible. Thank you for the patch!

PS: Applied, except one where a little modification is needed.
« Last Edit: March 24, 2017, 08:58:55 am by GetMem »

Rayvenhaus

  • Jr. Member
  • **
  • Posts: 80
Re: Online Package Manager
« Reply #759 on: March 24, 2017, 01:41:50 pm »
Running Lazarus 1.6.2, FPC 3.0.0, when compiling latest OPM from SVN, I get the following error:

Compile package OnlinePackageManager 1.0: Exit code 1, Errors: 1
opkman_mainfrm.pas(39,16) Fatal: Cannot find PackageLinkIntf used by opkman_mainfrm of package OnlinePackageManager.

Thaddy

  • Hero Member
  • *****
  • Posts: 3207
Re: Online Package Manager
« Reply #760 on: March 24, 2017, 02:14:35 pm »
You are using unsupported versions: Laz is at 1.6.4 and fpc is at 3.0.2.

Rayvenhaus

  • Jr. Member
  • **
  • Posts: 80
Re: Online Package Manager
« Reply #761 on: March 24, 2017, 02:47:24 pm »
Ok, just upgraded to latest version, Lazarus 1.6.4 and FPC 3.0.2 and I still get the same error when compiling OpMan.  Where do I find the missing package needed to compile OpMan?
« Last Edit: March 24, 2017, 04:01:50 pm by Rayvenhaus »

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2809
  • I like bugs.
Re: Online Package Manager
« Reply #762 on: March 24, 2017, 03:57:21 pm »
Where do I find the missing package needed to compile OpMan?
In Lazarus trunk. The OpMan is now part of Lazarus sources anyway, it is developed together with rest of the trunk.
Already next month Lazarus 1.8 may be forked. Then you can use also fixes_1_8 branch.

I know OpMan has supported older Lazarus versions with IFDEFs. I don't have objections if somebody wants to add IFDEFs but it is quite unusual. If somebody wants to use latest development from trunk, he can download trunk. This applies to ProjectGroups and any other package in trunk as well.

Rayvenhaus

  • Jr. Member
  • **
  • Posts: 80
Re: Online Package Manager
« Reply #763 on: March 24, 2017, 04:02:33 pm »
I am using the latest released versions of Lazarus and FPC (1.6.4 & 3.0.2) and I still get the error when adding in OPM

GetMem

  • Hero Member
  • *****
  • Posts: 1996
Re: Online Package Manager
« Reply #764 on: March 24, 2017, 04:15:49 pm »
@Rayvenhaus

You have two choices:
1. Use a slightly older version, you can download from here(zip): https://drive.google.com/file/d/0B9Me_c5onmWoLUJmYUNwc0ItVkk/view?usp=sharing
2. Wait for Laz 1.8, it's just around the corner

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus